# Interface gmfSearchOptions

interface gmfSearchOptions {
clearButton: boolean;
colorChooser: boolean;
coordinatesProjections: string[];
datasources: SearchComponentDatasource[];
delay: number;
maxZoom: number;
placeholder: string;
styles: {};
}

- Defined in src/options.js:820

#####
Index

### Properties

clearButton
colorChooser
coordinatesProjections
datasources
delay
maxZoom
placeholder
styles

## Properties

### clearButton

clearButton: boolean

Clear button in the input search.

- Defined in src/options.js:827

### colorChooser

colorChooser: boolean

Whether to let the user change the style of the feature on the map.

- Defined in src/options.js:829

### coordinatesProjections

coordinatesProjections: string[]

codes of supported projections for coordinates search (projections must be defined in ol3). If not provided, only the map's view projection format will be supported.

- Defined in src/options.js:824

### datasources

datasources: SearchComponentDatasource[]

The used datasources.

- Defined in src/options.js:832

### delay

delay: number

bloodhound request delay in ms.

- Defined in src/options.js:828

### maxZoom

maxZoom: number

maximum zoom we will zoom on result.

- Defined in src/options.js:830

### placeholder

placeholder: string

The placeholder.

- Defined in src/options.js:831

### styles

styles: {}

A map of styles to apply on searched features. Keys must be the 'layer_name' property of features except for coordinates where the key ifor its style is the value of the constant 'gmf.COORDINATES_LAYER_NAME'. The 'default' key is used to apply the default style.

#### Type declaration

- Defined in src/options.js:821